vlock (2.2.2-12) unstable; urgency=medium

  * QA Upload
  * Patch upstream Makefile to avoid requiring (fake)root.

 -- Niels Thykier <niels@thykier.net>  Thu, 06 Jun 2024 13:38:42 +0000

vlock (2.2.2-11) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Update lintian override info to new format on line 6.
  * Update renamed lintian tag names in lintian overrides.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Nov 2022 22:11:20 +0000

vlock (2.2.2-10) unstable; urgency=medium

  * QA upload.
  * debian/control: fixed the VCS fields.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 09 Apr 2020 14:33:11 -0300

vlock (2.2.2-9) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: binary-targets' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Created VCS fields.
  * debian/copyright: updated packaging copyright years.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to perform trivial CI tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 07 Apr 2020 22:47:58 -0300

vlock (2.2.2-8) unstable; urgency=medium

  * QA upload.
  * Remove 2.2.2-6's postrm. Thanks to Jakub Wilk for spotting the fatal
    error. (Closes: #838351)

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 20 Sep 2016 18:41:17 +0200

vlock (2.2.2-7) unstable; urgency=medium

  * QA upload.
  * Do not remove the vlock group: (Closes: #837331)
    Removing the group during package removal is plain broken. And removing it
    at all risks privilege escalations by leaving unowned files that are
    dynamically assigned to a different purpose.
  * Pass CC to configure. (Closes: #793901)

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 18 Sep 2016 14:24:05 +0200

vlock (2.2.2-6) unstable; urgency=medium

  * QA upload.
  * Migrations:
      - debian/copyright to 1.0 format.
      - debian/rules to new (reduced) format.
      - DH level to 9.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Improved the long description to clarify the program use.
      - Removed Conflicts field because suidmanager no loger exists in Debian.
  * debian/copyright: updated all information.
  * debian/docs: added PLUGINS and TODO.
  * debian/lintian/: empty. Removed.
  * debian/patches/:
      - 754594.patch: renamed to 10_fix-buffer-overflow.patch
      - 20_fix-spelling-manpage.patch: added to fix a spelling error in a
        manpage.
  * debian/README.Debian:
      - Added some necessary line breaks.
      - Fixed a spelling error.
  * debian/vlock.dirs: no longer needed. Removed.
  * debian/vlock.lintian-overrides: created to explain about false positives.
  * debian/vlock.postinst: added 'set -e' in script body instead of hashbang.
  * debian/vlock.postrm:
      - Added 'set -e' in script body instead of hashbang.
      - Fixed the script to purge files via dpkg-statoverride. Also purge the
        system group vlock. Thanks to Frank Lin PIAT <fpiat@klabs.be> and to
        Christoph Anton Mitterer <calestyo@scientia.net>. (Closes: #573718)
  * debian/watch:
      - Added a fake site to explain about the current status of the original
        upstream homepage.
      - Bumped to 4 version.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 28 Aug 2016 10:58:18 -0300

vlock (2.2.2-5) unstable; urgency=medium

  * QA upload.
  * Bump debhelper compiled to 7 to process debian/clean.
    + Convert dh_clean -k to dh_prep.
  * Remove dpkg-statoverride for absent module new.so.
  * Remove unneeded dpkg-statoverrides. (Closes: #698860)
    + Change permissions for usr/lib/vlock/modules/*.so and
      usr/sbin/vlock-main during build.
    + Permanently remove now unneeded dpkg-statoverride for vlock-main and
      all.so
  * Remove dpkg-statoverrides for nosysrq.so during purge.
    (Closes: #520737)
  * Convert source format to 3.0 (quilt) to add a patch.
  * Do not use fd_set with potentially large indices. Thanks to Jakub Wilk and
    Julien Cristau. (Closes: #754594)

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 15 Jul 2014 23:00:29 +0200

vlock (2.2.2-4) unstable; urgency=medium

  * QA upload.
  * Set maintainer to QA group. (Addresses: #753662)
  * Disable the new.so module, because it is unfixable broken. (Closes:
    #702705)
    + Mention in NEWS.
  * Add debian/source/format.
  * Remove unused lintian override shared-lib-without-dependency-information.
  * Declare compliance with policy version 3.9.5.
    + Add missing build-{arch,indep} targets for policy version 3.9.4.
  * Upgrade debhelper compatibility to 6 from deprecated level 4.
    + Use dh_lintian.
  * Clean config.mk to avoid it ending up in the diff.
  * Enable hardening.
  * Update copyright to refer to GPL-2 rather than GPL.
  * Add ${misc:Depends} to Depends to follow debhelper recommendation.
  * Mark Multi-Arch:foreign.
  * Update watch file to indicate that there is no upstream anymore.
  * Add read-permission to statoverrides. (Closes: #529552)

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 04 Jul 2014 19:38:25 +0200

vlock (2.2.2-3) unstable; urgency=low

  * Don't try to chgrp to "vlock" during build time (Closes: #486665)
  * Bump standards version (No changes)

 -- Alexander Wirt <formorer@debian.org>  Tue, 17 Jun 2008 17:13:25 +0200

vlock (2.2.2-2) unstable; urgency=low

  * Fix typo in vlock.postinst (Closes: #486581)

 -- Alexander Wirt <formorer@debian.org>  Tue, 17 Jun 2008 11:43:13 +0200

vlock (2.2.2-1) unstable; urgency=low

  * New upstream release
  * Depend on adduser (Closes: #480545)
  * Add watch file (Closes: #456019)

 -- Alexander Wirt <formorer@debian.org>  Sun, 25 May 2008 15:15:41 +0200

vlock (2.1-2) unstable; urgency=low

  * Fix copyright file
  * Change maintainer

 -- Alexander Wirt <formorer@debian.org>  Wed, 12 Sep 2007 07:21:51 +0200

vlock (2.1-1) unstable; urgency=low

  * New upstream release
    - Support for BSD (Closes: #435580)

 -- Alexander Wirt <formorer@debian.org>  Tue, 11 Sep 2007 07:59:40 +0200

vlock (2.0-4) unstable; urgency=low

  * Fix utf-8 trouble. (Closes: 439619)

 -- Alexander Wirt <formorer@debian.org>  Sun, 26 Aug 2007 07:41:45 +0200

vlock (2.0-3) unstable; urgency=medium

  * Fix permissions of /usr/sbin/vlock-current

 -- Alexander Wirt <formorer@debian.org>  Sat, 25 Aug 2007 09:58:27 +0200

vlock (2.0-2) unstable; urgency=low

  * Check for overrides every time (Closes: #437822)

 -- Alexander Wirt <formorer@debian.org>  Fri, 24 Aug 2007 09:44:22 +0200

vlock (2.0-1) unstable; urgency=low

  * New upstream release

 -- Alexander Wirt <formorer@debian.org>  Mon, 13 Aug 2007 19:37:22 +0200

vlock (2.0~rc2-1) experimental; urgency=low

  * New upstream release

 -- Alexander Wirt <formorer@debian.org>  Wed, 08 Aug 2007 13:09:55 +0200

vlock (2.0~rc1-1) unstable; urgency=low

  * New upstream release

 -- Alexander Wirt <formorer@debian.org>  Sun, 05 Aug 2007 16:50:34 +0200

vlock (1.3-10) unstable; urgency=low

  * Add a patch from Guido Guenther that adds better checking for the return
    code of correct_password() (Closes: #364081)
  * Add a patch Daniel Kahn Gillmor thats stats the PAM Session only after
    pressing enter. That prevents some problems with some exclusive-access PAM
    modules like opensc (Closes: #318507)
  * Include common-auth in the pam file (Closes: #265297)
  * Depend on libpam-modules (Closes: #55834)
  * Bump standards version

 -- Alexander Wirt <formorer@debian.org>  Wed, 19 Jul 2006 20:26:23 +0200

vlock (1.3-9) unstable; urgency=low

  * New Maintainer/Uploaders (closes: #321755).
  * Use debhelper compatibility level 4 instead of level 2.  Accordingly
    adapted the build time dependencies.
  * debian/rules cleanup:
    - removing commented out dh_make cruft,
    - use "rm -f .." instead of "-rm ..",
    - change to "new" chown syntax of chown user:group, replacing user.group.
    - comment out DH_VERBOSE=1
  * Remove debian/conffiles.  It only contained etc/pam.d/vlock, which
    is marked as conffile by debhelper automatically.
  * Increased standards version from 3.5.7.0 to 3.6.2 (no changes necessary).
  * Rename debian/docs to debian/vlock.docs to be consistent with
    debian/vlock.dirs.
  * Fix debian/changelog: Parts have been duplicated in a previous version,
    clean up the mess.
  * Add myself to debian/copyright.
  * Update the address of the Free Software Foundation in debian/copyright.
  * Add lintian override for vlock being suid root.
  * Use dh_install instead of install to copy the vlock binary in place.
    This way we support DEB_BUILD_OPTIONS=nostrip.
  * Remove vlock.man in clean target as it's build by upstream's Makefile
    anyway and we don't need it in the diff.
  * Do not build vlock.man during build.

 -- Peter Palfrader <weasel@debian.org>  Mon, 20 Feb 2006 12:42:06 +0100

vlock (1.3-8) unstable; urgency=medium

  * Argh, forgot about this bug when RL jumped at me.
    Applied patch from RISKO Gergely.
    (closes: #181931)

 -- Zephaniah E. Hull <warp@debian.org>  Sun, 30 Mar 2003 15:32:58 -0500

vlock (1.3-7) unstable; urgency=low

  * Whoops, make sgid again. (So we can ask root's password!)
  * Better error handling for PAM. (closes: #53049)
  * Kill some unused template files in debian/
  * Update standards-version.
  * Conflict with suidmanager and no-longer use it.

 -- Zephaniah E. Hull <warp@debian.org>  Thu, 03 Oct 2002 06:56:43 -0400

vlock (1.3-6) unstable; urgency=low

  * I somehow missed that there was an NMU. (closes: #132100)
  * Add a -q --quiet option.
  * No longer sgid. (closes: #75970)
  * Correct URL for update. (closes: #152045)

 -- Zephaniah E. Hull <warp@debian.org>  Mon, 09 Sep 2002 10:23:26 -0400

vlock (1.3-5.1) unstable; urgency=low

  * Non Maintainer Upload.
  * mark /etc/pam.d/vlock as a conffile (closes: #132100)
  * remove call to dh_suidregister in debian/rules
  * add Build-Depends on libpam0g-dev

 -- David Kimdon <dwhedon@debian.org>  Sun, 10 Feb 2002 18:31:04 -0800

vlock (1.3-5) unstable; urgency=low

  * Remove the empty README.Debian. (closes: #54375)
  * Update email address in maintainer field..

 -- Zephaniah E. Hull <warp@debian.org>  Mon, 10 Jan 2000 01:13:16 -0500

vlock (1.3-4) unstable; urgency=low

  * Include pam config for vlock.. (closes: #49967)

 -- Zephaniah E. Hull <warp@whitestar.soark.net>  Fri, 12 Nov 1999 09:07:17 -0500

vlock (1.3-3) unstable; urgency=medium

  * vlock has to be sgid shadow.. (closes: #49649)

 -- Zephaniah E. Hull <warp@whitestar.soark.net>  Tue,  9 Nov 1999 09:01:50 -0500

vlock (1.3-2) unstable; urgency=low

  * Fixed a few packaging errors (maintainer, readme, download location)

 -- Zephaniah E. Hull <warp@whitestar.soark.net>  Sun, 24 Oct 1999 14:43:55 -0400

vlock (1.3-1) unstable; urgency=low

  * New maintainer..
  * Repacked new upstream version with debhelper. (closes: #23873, #34506)

 -- Zephaniah E. Hull <warp@whitestar.soark.net>  Sat,  9 Oct 1999 04:38:39 -0400

vlock (1.2-1) unstable; urgency=low

  * New upstream version
  * Added upstream changelog file

 -- Juan Cespedes <cespedes@debian.org>  Sat, 28 Mar 1998 23:38:10 +0100

vlock (1.0-9) unstable; urgency=low

  * used setgid shadow for accessing shadow passwords (again...)

 -- Juan Cespedes <cespedes@debian.org>  Wed,  4 Feb 1998 09:22:48 +0100

vlock (1.0-8) unstable; urgency=low

  * Changed <waitflags.h> to <sys/wait.h> in order to compile with glibc-2.1

 -- Juan Cespedes <cespedes@debian.org>  Mon,  2 Feb 1998 23:14:09 +0100

vlock (1.0-7bo2) bo-unstable; urgency=low

  * Fixed wrong dependency on libc6

 -- Juan Cespedes <cespedes@debian.org>  Mon,  2 Feb 1998 23:11:00 +0100

vlock (1.0-7bo1) bo-unstable; urgency=low

  * Build for bo-unstable to fix Bug#17685
  * Added `SHELL=bash' to debian/rules
  * New Standards-Version: 2.4.0.0

 -- Juan Cespedes <cespedes@debian.org>  Sat, 31 Jan 1998 23:53:36 +0100

vlock (1.0-7) unstable; urgency=low

  * New Standards-Version (2.3.0.1)
  * Fixed minor bug regarding SA_RESTART and changing VTs
  * Clear vtty when lock, restore it after unlock

 -- Juan Cespedes <cespedes@debian.org>  Sun, 26 Oct 1997 16:03:20 +0100

vlock (1.0-6) unstable; urgency=low

  * Fixed FSF postal address
  * New maintainer address
  * Minor fixes in documentation
  * New Standards-Version
  * Preserve modif times of doc files

 -- Juan Cespedes <cespedes@debian.org>  Thu, 11 Sep 1997 23:22:16 +0200

vlock (1.0-5) unstable; urgency=low

  * New maintainer
  * used setgid shadow for accessing shadow passwords (fixes Bug#8544)
  * Built with libc6

 -- Juan Cespedes <cespedes@etsit.upm.es>  Sun, 10 Aug 1997 13:14:04 +0200

vlock (1.0-4) unstable; urgency=low

  * manual pages are now installed in 'gzip -9' format as per
    "Debian Policy Manual", Section 3.2.1

  * minor bugfixes in the debian/rules file.  Should now comply with
    "Debian Programmers Manual", Section 3.2.1

 -- Dominik Kubla <Dominik.Kubla@Uni-Mainz.DE>  Mon, 30 Sep 1996 19:43:20 +0200

vlock (1.0-3) unstable; urgency=low

  * changelog file is now installed in /usr/doc/vlock as per
    "Debian Policy Manual", section 3.2.6

  * copyright file is now installed in /usr/doc/vlock as per
    "Debian Policy Manual", section 3.2.6

  * Symbolic links are now relative instead of absolute as per
    "Debian Policy Manual", section 3.2.7

  * package is now compiled with CFLAGS set to '-O2 -g -Wall' as per
    "Debian Policy Manual", section 4.1

 -- Dominik Kubla <Dominik.Kubla@Uni-Mainz.DE>  Sun, 29 Sep 1996 16:27:22 +0200

vlock (1.0-2) unstable; urgency=low

  * Converted to new packaging standards.

 -- Dominik Kubla <Dominik.Kubla@Uni-Mainz.DE>  Thu, 12 Sep 1996 09:44:45 +0200

vlock (1.0-1) unstable; urgency=low

  * New upstream version.

 -- Dominik Kubla <Dominik.Kubla@Uni-Mainz.DE>  Thu, 12 Sep 1996 09:44:45 +0200
